Display &Video 360 API अब मांग बढ़ाने में मदद करने वाले कैंपेन संसाधन के मैनेजमेंट के साथ काम करता है. मांग बढ़ाने में मदद करने वाला विज्ञापन कैंपेन बनाने और चलाने का तरीका जानने के लिए, हमारी नई गाइड देखें.
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: partners.targetingTypes.assignedTargetingOptions.list
संग्रह की मदद से व्यवस्थित रहें
अपनी प्राथमिकताओं के आधार पर, कॉन्टेंट को सेव करें और कैटगरी में बांटें.
अनुरोध किया गया पेज साइज़. वैल्यू, 1 और 200 के बीच होनी चाहिए. अगर कोई वैल्यू नहीं दी गई है, तो डिफ़ॉल्ट रूप से 100 पर सेट होगी. अगर कोई अमान्य वैल्यू दी गई है, तो गड़बड़ी का कोड INVALID_ARGUMENT दिखाता है.
pageToken
string
टोकन, जो नतीजों के उस पेज की पहचान करता है जिसे सर्वर को दिखाना चाहिए. आम तौर पर, यह nextPageToken की वैल्यू होती है. इसे पिछले कॉल के दौरान assignedTargetingOptions.list तरीके से लौटाया जाता है. अगर इसके बारे में नहीं बताया गया है, तो नतीजों का पहला पेज दिखाया जाएगा.
orderBy
string
वह फ़ील्ड जिसके हिसाब से सूची को क्रम से लगाना है. ये वैल्यू स्वीकार की जाती हैं:
assignedTargetingOptionId (डिफ़ॉल्ट)
क्रम से लगाने का डिफ़ॉल्ट क्रम बढ़ते क्रम में है. फ़ील्ड का घटते क्रम में बताने के लिए, सफ़िक्स "desc" इस्तेमाल करें फ़ील्ड के नाम में जोड़ा जाना चाहिए. उदाहरण: assignedTargetingOptionId desc.
filter
string
असाइन किए गए टारगेटिंग विकल्प फ़ील्ड के अनुसार फ़िल्टर करने की अनुमति देता है.
इस्तेमाल किया जा सकने वाला सिंटैक्स:
फ़िल्टर एक्सप्रेशन में एक या ज़्यादा पाबंदियां होती हैं.
लॉजिकल ऑपरेटर OR की मदद से पाबंदियों को जोड़ा जा सकता है.
पाबंदी {field} {operator} {value} में होती है.
सभी फ़ील्ड में, EQUALS (=) ऑपरेटर का इस्तेमाल करना ज़रूरी है.
इस्तेमाल किए जा सकने वाले फ़ील्ड:
assignedTargetingOptionId
उदाहरण:
123456 आईडी वाला AssignedTargetingOption संसाधन: assignedTargetingOptionId="123456"
इस फ़ील्ड में 500 से ज़्यादा वर्ण नहीं होने चाहिए.
नतीजों के अगले पेज की पहचान करने वाला टोकन. नतीजों के अगले पेज को फ़ेच करने के लिए, इस वैल्यू को अगले ListPartnerAssignedTargetingOptionsRequest में pageToken के तौर पर बताया जाना चाहिए. अगर लौटने के लिए कोई और assignedTargetingOptions नहीं है, तो यह टोकन मौजूद नहीं होगा.
[[["समझने में आसान है","easyToUnderstand","thumb-up"],["मेरी समस्या हल हो गई","solvedMyProblem","thumb-up"],["अन्य","otherUp","thumb-up"]],[["वह जानकारी मौजूद नहीं है जो मुझे चाहिए","missingTheInformationINeed","thumb-down"],["बहुत मुश्किल है / बहुत सारे चरण हैं","tooComplicatedTooManySteps","thumb-down"],["पुराना","outOfDate","thumb-down"],["अनुवाद से जुड़ी समस्या","translationIssue","thumb-down"],["सैंपल / कोड से जुड़ी समस्या","samplesCodeIssue","thumb-down"],["अन्य","otherDown","thumb-down"]],["आखिरी बार 2025-07-25 (UTC) को अपडेट किया गया."],[],["This document details how to list targeting options assigned to a partner using the Display & Video 360 API. The core action is a `GET` request to a specific URL, including required `partnerId` and `targetingType` path parameters. Optional query parameters like `pageSize`, `pageToken`, `orderBy`, and `filter` refine the results. The response, in JSON format, contains a list of `assignedTargetingOptions` and a `nextPageToken` for paginated results. This request requires OAuth authorization with the `https://www.googleapis.com/auth/display-video` scope.\n"]]